Bug 212868 - slow text scrolling in firefox and openoffice with compiz
slow text scrolling in firefox and openoffice with compiz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 15:37 EST by Alexey Titov
Modified: 2008-05-06 12:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My original xorg.conf file (3.50 KB, text/plain)
2007-12-12 00:43 EST, Jim
no flags Details
Log file from when I was using my xorg.conf file (44.22 KB, text/plain)
2007-12-12 00:46 EST, Jim
no flags Details
Log file from when I had no xorg.conf (but X wouldn't load without xorg.conf) (23.46 KB, text/plain)
2007-12-12 00:58 EST, Jim
no flags Details

  None (edit)
Description Alexey Titov 2006-10-29 15:37:48 EST
Description of problem:
In some applications like firefox or openoffice documents are scrolled to slow
when using compiz. CPU usage is also increase. If do not use one the scrolling
is much faster.
My hardware is Pentium 3 and radeon 9600 video-card. I use driver named "radeon".
Comment 1 Alexey Titov 2006-10-30 00:23:26 EST
About hardware... I meant Pentium 4 3 GHz...
Comment 2 Alexey Titov 2006-11-11 11:04:21 EST
Is there any way to improve scrolling performance?
Comment 3 Jesse Brandeburg 2006-12-23 19:00:00 EST
you can turn off smooth scrolling in firefox.  I have the same problem as you.
Comment 4 Alexey Titov 2006-12-24 05:38:29 EST
This is not a solution... Even then scrolling is much slower than without
desktop effects...
Comment 5 Jim 2007-02-26 15:51:48 EST
I also use the "radeon" driver with a Radeon 9000 on a 1.4 GHz AMD CPU.  I had
the same problem.  My workaround was to change from "Millions of Colors" to
"Thousands of Color" in "System->Administration->Display".  Maybe the problems
lies with the radeon driver?  I have a laptop that uses an Intel video which
didn't have this problem.
Comment 6 Jim 2007-02-27 09:42:10 EST
Just to clarify, I'm using the stock video driver that comes with FC6.  I've
pasted in a few lines from my Xorg log file that may be useful:

(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
        compiled for 7.1.1, module version = 4.2.0
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
        compiled for 7.1.1, module version = 6.6.3
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 1.0
Comment 7 Jugoslav Gacas 2007-03-01 09:08:14 EST
Same problem here! Everything works great with AIGLX enabled: 
drawing menus is fast, moving windows is fast, GNOME just flies,
except window resizing and scrolling! Scrolling and resizing is so slow
that the whole system is unusable. And problem is not only showing in Firefox
and OpenOffice but in every other application: terminal, eclipse, gedit...
My machine is a bit old (pentium tualatin 1.2 GHz oc 1.4 GHz, radeon 9000)
but scrolling and resizing works great with AIGLX disabled and every
other AIGLX and compiz effect really flies!

I would like to know will this problem be addressed in Fedora 7 so we can
finally use AIGLX and compiz on machine with ati graphic cards?
Comment 8 Jim 2007-03-01 12:07:34 EST
(In reply to comment #7)
> Same problem here! Everything works great with AIGLX enabled: 
> drawing menus is fast, moving windows is fast, GNOME just flies,
> except window resizing and scrolling! Scrolling and resizing is so slow
> that the whole system is unusable. And problem is not only showing in Firefox
> and OpenOffice but in every other application: terminal, eclipse, gedit...
> My machine is a bit old (pentium tualatin 1.2 GHz oc 1.4 GHz, radeon 9000)
> but scrolling and resizing works great with AIGLX disabled and every
> other AIGLX and compiz effect really flies!
> 
> I would like to know will this problem be addressed in Fedora 7 so we can
> finally use AIGLX and compiz on machine with ati graphic cards?

Have you tried setting your colors down to "thousands of colors"?  That fixes it
for me.
Comment 9 Jugoslav Gacas 2007-03-02 09:51:15 EST
(In reply to comment #8)
> (In reply to comment #7)
> > Same problem here! Everything works great with AIGLX enabled: 
> > drawing menus is fast, moving windows is fast, GNOME just flies,
> > except window resizing and scrolling! Scrolling and resizing is so slow
> > that the whole system is unusable. And problem is not only showing in Firefox
> > and OpenOffice but in every other application: terminal, eclipse, gedit...
> > My machine is a bit old (pentium tualatin 1.2 GHz oc 1.4 GHz, radeon 9000)
> > but scrolling and resizing works great with AIGLX disabled and every
> > other AIGLX and compiz effect really flies!
> > 
> > I would like to know will this problem be addressed in Fedora 7 so we can
> > finally use AIGLX and compiz on machine with ati graphic cards?
> 
> Have you tried setting your colors down to "thousands of colors"?  That fixes it
> for me.

Tried that, but it is not solution for my old hardware! I can notice speedup
but it is not that significant! It's much slower in comparation with AIGLX
being disabled. My biggest problem is scrolling (I can live perfectly well with
slow resizing) and that really is stoping me from using such great technology
as AIGLX! That is why I am hoping that problem will be solved in Fedora 7.
Comment 10 Alexey Titov 2007-04-25 14:20:30 EDT
So, will this problem ever be solved? My hardware is good enough and compiz (and
beryl) works good. But scrolling is terribly slow.
Comment 11 Matěj Cepl 2007-10-02 17:40:04 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 12 Matěj Cepl 2007-12-10 04:25:12 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 13 Jim 2007-12-10 23:20:26 EST
I'm now on Fedora 7 and still have this problem.  In fact, it's gotten worse. 
Scrolling is now slow in gnome-terminal even with my work around of setting the
display color depth down to "thousands of colors".  My latest workaround is to
simply not use compiz.  I really like the graphic effects, but there's just too
many bugs with it.
Comment 14 Matěj Cepl 2007-12-11 09:11:52 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 15 Jim 2007-12-12 00:43:54 EST
Created attachment 285071 [details]
My original xorg.conf file
Comment 16 Jim 2007-12-12 00:46:05 EST
Created attachment 285081 [details]
Log file from when I was using my xorg.conf file
Comment 17 Jim 2007-12-12 00:58:34 EST
Created attachment 285101 [details]
Log file from when I had no xorg.conf (but X wouldn't load without xorg.conf)
Comment 18 Jim 2007-12-12 01:00:11 EST
I've attached the requested files.  X wouldn't load when I didn't have an
xorg.conf file, so I doubt that log file will help ya any.
Comment 19 Bug Zapper 2008-04-04 00:15:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 20 Bug Zapper 2008-05-06 12:37:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.